aboutsummaryrefslogtreecommitdiffstats
path: root/tests/docker/build-clazy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/docker/build-clazy.sh')
-rwxr-xr-xtests/docker/build-clazy.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/docker/build-clazy.sh b/tests/docker/build-clazy.sh
new file mode 100755
index 00000000..4cd59997
--- /dev/null
+++ b/tests/docker/build-clazy.sh
@@ -0,0 +1,22 @@
+# This is the script that runs inside the docker container and builds clazy
+
+BRANCH=$1
+J_FLAG=$2
+CLAZY_PREFIX=$3
+
+if [ -z "$1" ]
+then
+ exit 1;
+fi
+
+if [ -z "$2" ]
+then
+ exit 1;
+fi
+
+if [ -z "$3" ]
+then
+ exit 1;
+fi
+
+cd /root/clazy && git pull && git checkout $BRANCH && cmake -DCMAKE_INSTALL_PREFIX=$CLAZY_PREFIX -DCMAKE_BUILD_TYPE=RelWithDebInfo . && make $J_FLAG && make install && cd tests && ./run_tests.py